Loading...
Searching...
No Matches
XrdNetIdentity Class Reference

`#include <XrdNetIdentity.hh>`

Collaboration diagram for XrdNetIdentity:

## Public Member Functions

| XrdNetIdentity ()
| ~XrdNetIdentity ()

## Static Public Member Functions

static const char * | Domain (const char **eText=0)
static const char * | FQN (const char **etext=0)
static void | SetFQN (const char *fqn)

## Detailed Description

Definition at line 32 of file XrdNetIdentity.hh.

## Constructor & Destructor Documentation

## XrdNetIdentity()

XrdNetIdentity::XrdNetIdentity | ( |  | ) |

inline

Definition at line 42 of file XrdNetIdentity.hh.

{}

## ~XrdNetIdentity()

XrdNetIdentity::~XrdNetIdentity | ( |  | ) |

inline

Definition at line 43 of file XrdNetIdentity.hh.

{}

## Member Function Documentation

## Domain()

const char * XrdNetIdentity::Domain | ( | const char ** | eText = 0 | ) |

static

Definition at line 177 of file XrdNetIdentity.cc.

{
if (eText) *eText = DNS_Error;
return DNS_Domain;
}

Referenced by XrdOfsTPCProg::Run().

Here is the caller graph for this function:

## FQN()

const char * XrdNetIdentity::FQN | ( | const char ** | etext = 0 | ) |

static

Definition at line 187 of file XrdNetIdentity.cc.

{
if (eText) *eText = DNS_Error;
return DNS_FQN;
}

Referenced by XrdNetAddr::XrdNetAddr(), and XrdNetUtils::MyHostName().

Here is the caller graph for this function:

## SetFQN()

void XrdNetIdentity::SetFQN | ( | const char * | fqn | ) |

static

Definition at line 197 of file XrdNetIdentity.cc.

{
if (DNS_FQN) free(DNS_FQN);
DNS_FQN = strdup(fqn);
if (!(DNS_Domain = index(DNS_FQN, '.'))) DNS_Domain = "";
FQN_DNS = false;
}

Referenced by XrdConfig::Configure().

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- XrdNetIdentity.hh
- XrdNetIdentity.cc